# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/sinusoid/Sinusoidal.cpp File Reference

`#include <math.h>`
`#include "Sinusoidal.h"`
`#include "MapProjection3Parameters.h"`
`#include "MapProjectionCoordinates.h"`
`#include "GeodeticCoordinates.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`

Go to the source code of this file.

## Functions

double | sinuCoeffTimesSine (double coeff, double x, double latit)
double | floatEq (double x, double v, double epsilon)

## Variables

const double | PI = 3.14159265358979323e0
const double | PI_OVER_2 = (PI / 2.0)
const double | TWO_PI = (2.0 * PI)

## Function Documentation

double floatEq | ( | double | x,
|  | double | v,
|  | double | epsilon |
| ) |  |  |

Definition at line 117 of file Sinusoidal.cpp.

double sinuCoeffTimesSine | ( | double | coeff,
|  | double | x,
|  | double | latit |
| ) |  |  |

Definition at line 111 of file Sinusoidal.cpp.

## Variable Documentation

const double PI = 3.14159265358979323e0

Definition at line 106 of file Sinusoidal.cpp.

const double PI_OVER_2 = (PI / 2.0)

Definition at line 107 of file Sinusoidal.cpp.

const double TWO_PI = (2.0 * PI)

Definition at line 108 of file Sinusoidal.cpp.